Bug 200909 - hypervisor options are not copied to new grub entry when installing kernel via rpm
Summary: hypervisor options are not copied to new grub entry when installing kernel vi...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-01 14:49 UTC by James Morris
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 21:21:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full grub.conf (2.22 KB, text/plain)
2006-08-07 19:26 UTC, James Morris
no flags Details
1st grub.conf (2.65 KB, text/plain)
2006-08-09 13:21 UTC, James Morris
no flags Details
2nd grub.conf (2.65 KB, text/plain)
2006-08-09 13:22 UTC, James Morris
no flags Details

Description James Morris 2006-08-01 14:49:06 UTC
Description of problem:

When installing a kernel with xen, hypervisor boot options are not copied from
old grub entries to the new entry.

Version-Release number of selected component (if applicable):
mkinitrd-5.0.32-1

How reproducible:

yum update kernel-xen

Expected results:

        initrd /initrd-2.6.17-1.2462.fc6PAE.img
title Fedora Core (2.6.17-1.2462.fc6xen)
        root (hd0,0)
        kernel /xen.gz-2.6.17-1.2462.fc6 com1=115200,8n1 console=com1 conswitch=f
        module /vmlinuz-2.6.17-1.2462.fc6xen root=/dev/VolGroup00/LogVol00
console=ttyS0,115200
        module /initrd-2.6.17-1.2462.fc6xen.img

Actual results:

        initrd /initrd-2.6.17-1.2462.fc6PAE.img
title Fedora Core (2.6.17-1.2462.fc6xen)
        root (hd0,0)
        kernel /xen.gz-2.6.17-1.2462.fc6  #### <--- here, no oprions
        module /vmlinuz-2.6.17-1.2462.fc6xen root=/dev/VolGroup00/LogVol00
console=ttyS0,115200
        module /initrd-2.6.17-1.2462.fc6xen.img

Comment 1 Jeremy Katz 2006-08-07 19:07:57 UTC
Please provide your complete grub.conf

Comment 2 James Morris 2006-08-07 19:26:38 UTC
Created attachment 133755 [details]
full grub.conf

This is my grub.conf after manually adding the hv options (which will disappear
again next time I update kernel-xen).

Comment 3 Jeremy Katz 2006-08-07 19:28:12 UTC
Change your default to a Xen kernel and then Xen options will get copied.  It is
impossible to derive _which_ Xen kernel to copy things from otherwise.

Comment 4 James Morris 2006-08-09 13:20:48 UTC
(In reply to comment #3)
> Change your default to a Xen kernel and then Xen options will get copied.  It is
> impossible to derive _which_ Xen kernel to copy things from otherwise.

This doesn't work.

See following attachments of before and after grub.conf files.

The options are not being copied even when the xen kernel is made default.

Additionally, the new non-xen kernel is then selected as the new default.


Comment 5 James Morris 2006-08-09 13:21:44 UTC
Created attachment 133842 [details]
1st grub.conf

Before 'yum update'

Comment 6 James Morris 2006-08-09 13:22:39 UTC
Created attachment 133843 [details]
2nd grub.conf

After 'yum update'

Comment 7 Jeremy Katz 2006-08-09 21:27:15 UTC
And what's in /etc/sysconfig/kernel?

Comment 8 James Morris 2006-08-09 23:24:08 UTC
(In reply to comment #7)
> And what's in /etc/sysconfig/kernel?

# UPDATEDEFAULT specifies if new-kernel-pkg should make
# new kernels the default
UPDATEDEFAULT=yes

# DEFAULTKERNEL specifies the default kernel package type
DEFAULTKERNEL=kernel

Comment 9 Jeremy Katz 2006-08-16 21:21:42 UTC
You also need to change DEFAULTKERNEL


Note You need to log in before you can comment on or make changes to this bug.